### Signal

# Gegl MetadataStore::mapped

#### Declaration

    void
    mapped (
      GeglMetadataStore* self,
      gchar* file_module,
      gboolean exclude_unmapped,
      gpointer user_data
    )

#### Description [src]

`::mapped` is emitted after a file module registers a mapping and before other processing takes place. An application may respond to the signal by registering additional mappings or overriding existing values, for example it might override the TIFF ImageDescription tag to format multiple metadata values into the description.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`file_module`

  Type: `gchar*`

  The file module name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`exclude_unmapped`

  Type: `gboolean`

  `TRUE` if the file module cannot handle unmapped values.